Skip to content
Snippets Groups Projects

Compare revisions

Changes are shown as if the source revision was being merged into the target revision. Learn more about comparing revisions.

Source

Select target project
No results found

Target

Select target project
  • Comptoir/comptoir-du-libre
  • fgangler/comptoir
2 results
Show changes
Commits on Source (308)
Showing
with 650 additions and 0 deletions
# This file is for unifying the coding style
# for different editors and IDEs.
#
# More information at http://editorconfig.org/
##############################################
root = true
##############################################
# default charset
# + 4 space indentation
# + Unix-style newlines
# + ensure file ends with a newline when saving
# + remove any whitespace characters preceding newline characters
##############################################
[*]
charset = utf-8
indent_style = space
indent_size = 4
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true
# Mardown files
[*.md]
indent_size = 2
# Yaml files ---> Gitlab CI
# [*.yml]
# indent_size = 4
## GITATTRIBUTES FOR WEB PROJECTS
#
# These settings are for any web project.
# https://github.com/alexkaratarakis/gitattributes/blob/master/Web.gitattributes
#
# Details per file setting:
# text These files should be normalized (i.e. convert CRLF to LF).
# binary These files are binary and should be left untouched.
#
# Note that binary is a macro for -text -diff.
######################################################################
# Auto detect
## Handle line endings automatically for files detected as
## text and leave all files detected as binary untouched.
## This will handle all files NOT defined below.
* text=auto
* text eol=lf
# Source code
*.bash text eol=lf
*.bat text eol=crlf
*.cmd text eol=crlf
*.coffee text
*.css text
*.htm text diff=html
*.html text diff=html
*.inc text
*.ini text
*.js text
*.json text
*.jsx text
*.less text
*.ls text
*.map text -diff
*.od text
*.onlydata text
*.php text diff=php
*.pl text
*.ps1 text eol=crlf
*.py text diff=python
*.rb text diff=ruby
*.sass text
*.scm text
*.scss text diff=css
*.sh text eol=lf
*.sql text
*.styl text
*.tag text
*.ts text
*.tsx text
*.xml text
*.xhtml text diff=html
# Docker
*.dockerignore text
Dockerfile text
# delimited text file
*.csv text
*.tab text
*.tsv text
# Documentation
*.ipynb text
*.markdown text
*.md text
*.mdwn text
*.mdown text
*.mkd text
*.mkdn text
*.mdtxt text
*.mdtext text
*.txt text
AUTHORS text
CHANGELOG text
CHANGES text
CONTRIBUTING text
COPYING text
copyright text
*COPYRIGHT* text
INSTALL text
license text
LICENSE text
NEWS text
readme text
*README* text
TODO text
# Templates
*.dot text
*.ejs text
*.haml text
*.handlebars text
*.hbs text
*.hbt text
*.jade text
*.latte text
*.mustache text
*.njk text
*.phtml text
*.tmpl text
*.tpl text
*.twig text
*.vue text
# Linters
.csslintrc text
.eslintrc text
.eslintignore text
.htmlhintrc text
.jscsrc text
.jshintrc text
.jshintignore text
.stylelintrc text
# Configs
*.bowerrc text
*.cnf text
*.conf text
*.config text
.babelrc text
.browserslistrc text
.editorconfig text
.env text
.gitattributes text
.gitconfig text
.htaccess text
.mocharc text
.nycrc text
.prettierrc text
.prettierignore text
*.lock text
package-lock.json text -diff
*.npmignore text
*.toml text
*.yaml text
*.yml text
browserslist text
Makefile text
makefile text
# Heroku
Procfile text
.slugignore text
# PHP archive
*.phar binary
# Graphics
*.ai binary
*.bmp binary
*.eps binary
*.gif binary
*.gifv binary
*.ico binary
*.jng binary
*.jp2 binary
*.jpg binary
*.jpeg binary
*.jpx binary
*.jxr binary
*.pdf binary
*.png binary
*.psb binary
*.psd binary
# SVG treated as an asset (binary) by default.
*.svg text
# If you want to treat it as binary,
# use the following line instead.
# *.svg binary
*.svgz binary
*.tif binary
*.tiff binary
*.wbmp binary
*.webp binary
# Audio
*.kar binary
*.m4a binary
*.mid binary
*.midi binary
*.mp3 binary
*.ogg binary
*.ra binary
# Video
*.3gpp binary
*.3gp binary
*.as binary
*.asf binary
*.asx binary
*.fla binary
*.flv binary
*.m4v binary
*.mng binary
*.mov binary
*.mp4 binary
*.mpeg binary
*.mpg binary
*.ogv binary
*.swc binary
*.swf binary
*.webm binary
# Archives
*.7z binary
*.gz binary
*.jar binary
*.rar binary
*.tar binary
*.tar.gz binary
*.tar.bz2 binary
*.zip binary
*.bz2 binary
# Fonts
*.ttf binary
*.eot binary
*.otf binary
*.woff binary
*.woff2 binary
# Executables
*.exe binary
*.pyc binary
##### Report files
documentation/auto-generated-documentation/php_static-analysis_phpmd
documentation/auto-generated-documentation/php_static-analysis_psalm
documentation/auto-generated-documentation/sbom
documentation/auto-generated-documentation/security
documentation/auto-generated-documentation/tests_phpunit
documentation/auto-generated-documentation/tests_infection
##### Content files
webapp/public/images/content/
##### Log / cache files
*.log
*.cache
comptoir_users_dev_202*.json
##### PHP Tooling
vendor/
.phive/
.php-cs-fixer.cache
phpmd.baseline.xml
##### Vagrant VM
.vagrant
##### IDE / Text editor
# Intellij
.idea
*.iml
# saved files
*~
*.bak
*.swp
*.backup
##### GIT
# Git - Merge temp file
*.orig
# git shortlog -s -n
# file for map author and committer names and email addresses
# to canonical real names and email addresses
/.mailmap
---
stages:
- php8.1
- linter
- release
- documentation
- php8.2
- php8.3
- php8.4
include:
- local: /.gitlab/ci/job.documentation.gitlab-ci.yml
- local: /.gitlab/ci/job.linters.gitlab-ci.yml
- local: /.gitlab/ci/job.php.gitlab-ci.yml
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source config_all-images.sh
source config_gitlab-repository.sh
source lib/docker-all-images.lib.sh
source lib/docker-image.lib.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
(check_all_images_configuration) # executed in a subshell
(remove_all_images) # executed in a subshell
(build_all_images) # executed in a subshell
(resume_build) # executed in a subshell
##############################################################################################
exit 0
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source config_all-images.sh
source config_gitlab-repository.sh
source lib/docker-all-images.lib.sh
source lib/docker-image.lib.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
(check_all_images_configuration) # executed in a subshell
(remove_all_images) # executed in a subshell
(build_all_images) # executed in a subshell
(resume_build) # executed in a subshell
(push_all_imagess) # executed in a subshell
(resume_build) # executed in a subshell
##############################################################################################
exit 0
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source config_all-images.sh
source config_gitlab-repository.sh
source lib/docker-all-images.lib.sh
source lib/docker-image.lib.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
(push_all_imagess) # executed in a subshell
(resume_build) # executed in a subshell
##############################################################################################
exit 0
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source config_gitlab-repository.sh
##############################################################################################
docker login "${GITLAB_URI}"
##############################################################################################
exit 0
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source config_gitlab-repository.sh
##############################################################################################
docker logout "${GITLAB_URI}"
##############################################################################################
exit 0
# CI - Docker images of prerequisites
## Docker images
Docker images of prerequisites usign by **Gitlab CI**:
- [Ubuntu 22.04, PHP 8.1 (Ubuntu packages), Composer, Symfony-CLI, Xdebug and Make](php-8.1_composer/)
- [Ubuntu 22.04, PHP 8.2 (ppa:ondrej/php), Composer, Symfony-CLI, Xdebug and Make](php-8.2_composer/)
- [Ubuntu 24.04, PHP 8.3 (Ubuntu packages), Composer, Symfony-CLI, Xdebug and Make](php-8.3_composer/)
- [Ubuntu 24.04, PHP 8.4 (ppa:ondrej/php), Composer, Symfony-CLI, Xdebug and Make](php-8.4_composer/)
## How to build and push all images to Gitlab container registry?
### Configuration
see:
- [`config_all-images.sh`](config_all-images.sh)
- [`config_gitlab-repository.sh`](config_gitlab-repository.sh)
### Build all images
```bash
cd .gitlab/ci/Dockerfiles
./10_build_all-images.sh
```
### Push all images to Gitlab container registry
```bash
cd .gitlab/ci/Dockerfiles
./30_push_all-images.sh
```
#!/usr/bin/env bash
# shellcheck disable=SC2034 # Don't warn about unused variables in this file
##############################################################################################
DOCKERFILE_DIRECTORIES=(
'php-8.1_composer'
'php-8.2_composer'
'php-8.3_composer'
'php-8.4_composer'
)
##############################################################################################
#!/usr/bin/env bash
# shellcheck disable=SC2034 # Don't warn about unused variables in this file
##############################################################################################
GITLAB_URI="gitlab.adullact.net:4567"
GITLAB_REPOSITORY="comptoir/comptoir-du-libre"
##############################################################################################
#!/usr/bin/env bash
# shellcheck disable=SC2317 # Don't warn about unreachable commands in this file
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
# Check all images configuration
check_all_images_configuration () {
echo ""
echo "-------------- CHECK CONFIGURATION -------------------------"
for DOCKERFILE_DIRECTORY in "${DOCKERFILE_DIRECTORIES[@]}"
do
( # executed in a subshell
echo "---> Check [ ${DOCKERFILE_DIRECTORY} ] configuration"
cd "${DOCKERFILE_DIRECTORY}" || exit 255
source "config_docker-image.sh"
if [ "${DOCKERFILE_DIRECTORY}" != "${DOCKER_IMAGE_NAME}" ]; then
echo "EROOR :"
echo "[ ${DOCKERFILE_DIRECTORY} ] directory and [ ${DOCKER_IMAGE_NAME} ] image are not identicatl."
false
fi
)
done
}
# Remove all images
remove_all_images () {
echo ""
echo "-------------- REMOVE ALL IMAGES -------------------------"
for DOCKERFILE_DIRECTORY in "${DOCKERFILE_DIRECTORIES[@]}"
do
echo "---> Remove [ ${DOCKERFILE_DIRECTORY} ] image"
cd "${DOCKERFILE_DIRECTORY}" || exit 255
source "config_docker-image.sh"
remove_docker-image && cd .. || exit 255
done
}
# Build all images
build_all_images () {
echo ""
echo "-------------- BUILD ALL IMAGES -------------------------"
for DOCKERFILE_DIRECTORY in "${DOCKERFILE_DIRECTORIES[@]}"
do
echo ""
echo "-------------> Build [ ${DOCKERFILE_DIRECTORY} ] image"
cd "${DOCKERFILE_DIRECTORY}" || exit 255
source "config_docker-image.sh"
build_docker-image_without-cache && cd .. || exit 255
done
}
# Push all images
push_all_imagess () {
echo ""
echo "-------------- PUSH ALL IMAGES -------------------------"
for DOCKERFILE_DIRECTORY in "${DOCKERFILE_DIRECTORIES[@]}"
do
echo ""
echo "-------------> Push [ ${DOCKERFILE_DIRECTORY} ] image"
cd "${DOCKERFILE_DIRECTORY}" || exit 255
source "config_docker-image.sh"
push_docker-image && cd .. || exit 255
done
}
resume_build () {
echo ""
echo "-------------- RESUME BUILD -------------------------"
for DOCKERFILE_DIRECTORY in "${DOCKERFILE_DIRECTORIES[@]}"
do
docker images | grep "${DOCKERFILE_DIRECTORY}" || (
echo "ERROR: Image [ ${DOCKERFILE_DIRECTORY} ] does not exist" && false
)
done
}
#!/usr/bin/env bash
# shellcheck disable=SC2317 # Don't warn about unreachable commands in this file
##############################################################################################
# Function to handle errors
handle_error() {
echo "----------------------------------------------------------"
echo "----> FAIL : an ERROR occurred"
exit 1
}
# Function to handle script exit
handle_exit() {
echo "----------------------------------------------------------"
echo "----> EXIT : script is finished or script has been interrupted by user or by an error"
echo ""
exit 0
}
# Buil Docker image with cache (useful for debugging)
build_docker-image_with-cache () {
# docker images | grep "${DOCKER_IMAGE_NAME}"
docker build --progress plain -t "${GITLAB_URI}/${GITLAB_REPOSITORY}/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_VERSION}" .
docker images | grep "${DOCKER_IMAGE_NAME}"
}
# Build Docker image without cache (must be used to push a new Docker image or update Docker image)
build_docker-image_without-cache () {
docker pull "${DOCKER_IMAGE_FROM}"
docker image remove "${GITLAB_URI}/${GITLAB_REPOSITORY}/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_VERSION}" || true
docker build --no-cache --progress plain -t "${GITLAB_URI}/${GITLAB_REPOSITORY}/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_VERSION}" .
docker images | grep "${DOCKER_IMAGE_NAME}"
}
# Remvoe Docker image
remove_docker-image () {
docker image remove "${GITLAB_URI}/${GITLAB_REPOSITORY}/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_VERSION}" || true
}
# Login to Gitlab and push image to Gitlab container registry
push_docker-image () {
docker login "${GITLAB_URI}"
docker push "${GITLAB_URI}/${GITLAB_REPOSITORY}/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_VERSION}"
}
\ No newline at end of file
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source ../lib/docker-image.lib.sh
source ../config_gitlab-repository.sh
source config_docker-image.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
build_docker-image_with-cache
##############################################################################################
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source ../lib/docker-image.lib.sh
source ../config_gitlab-repository.sh
source config_docker-image.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
build_docker-image_without-cache
##############################################################################################
\ No newline at end of file
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source ../lib/docker-image.lib.sh
source ../config_gitlab-repository.sh
source config_docker-image.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
push_docker-image
##############################################################################################
#!/usr/bin/env bash
# shellcheck disable=SC1091 # Don't warn about "not following: (...) no such file" in this file
##############################################################################################
set -o errexit # enable exit if one of command fails
set -o pipefail # enable exit if one of pipe command fails
set -o nounset # enable exit if any of variables is not set
# set -o xtrace # all executed commands are printed to the terminal
##############################################################################################
source ../lib/docker-image.lib.sh
source ../config_gitlab-repository.sh
source config_docker-image.sh
##############################################################################################
trap handle_error ERR # Set the error handler function
trap handle_exit EXIT # Set the exit handler function
##############################################################################################
build_docker-image_without-cache
push_docker-image
##############################################################################################
../lib/symlink_source/50_build_image_with-cache.sh
\ No newline at end of file
../lib/symlink_source/60_build_image_without-cache.sh
\ No newline at end of file